# Front routing should not be changed, as Diem takes care of pages urls.
# To change a page url, edit the page in the front office
# Or use seo module in admin

default:
  url:          /+/:module/:action/*

toAdmin:
  url:          /admin
  params:       { module: dmFront, action: toAdmin }

signin:
  url:          /security/signin
  params:       { module: dmFront, action: page, dm_page: main/signin }

signout:
  url:          /security/signout
  params:       { module: dmUser, action: signout }

dmPaginatedPage:
  url:          /:slug/page/:page
  params:       { module: dmFront, action: page }
  requirements: { slug: '.+', page: '\d+' }

dmPaginatedHome:
  url:          /page/:page
  params:       { module: dmFront, action: page, slug: '' }
  requirements: { page: '\d+' }
  
dmPage:
  url:          /:slug
  params:       { module: dmFront, action: page }
  requirements: { slug: '.+' }

homepage:
  url:          /
  params:       { module: dmFront, action: page, slug: '' }